Package org.apache.calcite.avatica.proto

## Class Responses.CommitResponse.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<Responses.CommitResponse.Builder>
      - - org.apache.calcite.avatica.proto.Responses.CommitResponse.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `java.lang.Cloneable`, `Responses.CommitResponseOrBuilder`

Enclosing class:
  Responses.CommitResponse

    public static final class Responses.CommitResponse.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<Responses.CommitResponse.Builder>
    implements Responses.CommitResponseOrBuilder

     Response to a commit request

Protobuf type `CommitResponse`

### Constructor Summary

Constructors
`private` `Builder()`
`private` `Builder​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Responses.CommitResponse.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)`
`Responses.CommitResponse` `build()`
`Responses.CommitResponse` `buildPartial()`
`Responses.CommitResponse.Builder` `clear()`
`Responses.CommitResponse.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`Responses.CommitResponse.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`Responses.CommitResponse.Builder` `clone()`
`Responses.CommitResponse` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`private void` `maybeForceBuilderInitialization()`
`Responses.CommitResponse.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`Responses.CommitResponse.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`Responses.CommitResponse.Builder` `mergeFrom​(Responses.CommitResponse other)`
`Responses.CommitResponse.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`Responses.CommitResponse.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)`
`Responses.CommitResponse.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, java.lang.Object value)`
`Responses.CommitResponse.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Constructor Detail

#### Builder

    private Builder()

#### Builder

    private Builder​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.CommitResponse.Builder>`

#### maybeForceBuilderInitialization

    private void maybeForceBuilderInitialization()

#### clear

    public Responses.CommitResponse.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.CommitResponse.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.CommitResponse.Builder>`

#### getDefaultInstanceForType

    public Responses.CommitResponse getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public Responses.CommitResponse build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public Responses.CommitResponse buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public Responses.CommitResponse.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.CommitResponse.Builder>`

#### setField

    public Responses.CommitResponse.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                     java.lang.Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.CommitResponse.Builder>`

#### clearField

    public Responses.CommitResponse.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.CommitResponse.Builder>`

#### clearOneof

    public Responses.CommitResponse.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.CommitResponse.Builder>`

#### setRepeatedField

    public Responses.CommitResponse.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                             int index,
                                                             java.lang.Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.CommitResponse.Builder>`

#### addRepeatedField

    public Responses.CommitResponse.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                             java.lang.Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.CommitResponse.Builder>`

#### mergeFrom

    public Responses.CommitResponse.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Responses.CommitResponse.Builder>`

#### mergeFrom

    public Responses.CommitResponse.Builder mergeFrom​(Responses.CommitResponse other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.CommitResponse.Builder>`

#### mergeFrom

    public Responses.CommitResponse.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                               throws java.io.IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Responses.CommitResponse.Builder>`
Throws:
  `java.io.IOException`

#### setUnknownFields

    public final Responses.CommitResponse.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.CommitResponse.Builder>`

#### mergeUnknownFields

    public final Responses.CommitResponse.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.CommitResponse.Builder>`